Bug 4433 - $a displayed in front of topical subjects in authority search
Summary: $a displayed in front of topical subjects in authority search
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-03 09:56 UTC by Katrin Fischer
Modified: 2012-10-25 23:09 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot of authority search results in opac (35.54 KB, image/png)
2010-05-03 09:56 UTC, Chris Cormack
Details
screenshot (30.98 KB, image/png)
2010-05-03 10:08 UTC, Chris Cormack
Details
Bug 4433: Small display problem for topical subjects (1.45 KB, patch)
2011-07-17 20:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Signed patch (3.97 KB, patch)
2011-07-18 07:09 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Signed patch (3.97 KB, patch)
2011-07-18 07:10 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Signed patch (1.57 KB, patch)
2011-07-18 07:12 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:27:07 UTC


---- Reported by katrin.fischer@bsz-bw.de 2010-05-03 09:56:52 ----

Created an attachment
screenshot of authority search results in opac

When searching for authorities in OPAC $a is displayed in front of topical terms in the result list.

This only happens for topical terms.

Personal names, uniform titles, corporate namen and genre/form terms are displayed without $a.



---- Additional Comments From katrin.fischer@bsz-bw.de 2010-05-03 10:08:56 ----

Created an attachment
screenshot

I just noticed that this also happens in staff.



---- Additional Comments From jwagner@ptfs.com 2010-05-03 12:59:40 ----

It's not just subfield a -- any subfield seems to show the subfield code in both OPAC and staff:

Topical Term: $aPiano makers $zNew York (State) $zNew York $xHistory.





--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:27 UTC  ---

This bug was previously known as _bug_ 4433 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4433
Imported an attachment (id=2099)
Imported an attachment (id=2100)

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
CC member jwagner@ptfs.com does not have an account here
The original submitter of attachment 2099 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 2100 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Garry Collum 2010-07-03 19:09:26 UTC
It looks like the code to remove the subfield tags was purposely commented out and replaced with an as_formatted() function in AuthoritiesMarc.pm.  The code assigns value to the 'summary' variable.

Currently lines 1059 and 1060 in AuthoritiesMarc.pm.
# $heading .= $field->as_string('abvxyz68');
$heading .= $field->as_formatted();

I'm not sure for what purpose.  Only the 150 field has been changed. as_formatted creates 'pretty' marc for printout purposes.  

If you remove the comment from the as_string line and comment out the as_formatted line the authorities display correctly, but I'm not sure if it breaks something else.
Comment 2 Katrin Fischer 2011-07-17 20:48:34 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2011-07-18 07:09:17 UTC Comment hidden (obsolete)
Comment 4 Marcel de Rooy 2011-07-18 07:10:49 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2011-07-18 07:12:44 UTC
Created attachment 4654 [details] [review]
Signed patch

Driemaal is scheepsrecht
Dutch for third time lucky..
Comment 6 Chris Cormack 2011-08-01 01:31:40 UTC
Simple change, does what it says it does. Pushed, please test